Package com.ngrok.definitions

# Class EndpointOAuthProvider.Builder

java.lang.Object
com.ngrok.definitions.EndpointOAuthProvider.Builder

Enclosing class:
  EndpointOAuthProvider

public static class EndpointOAuthProvider.Builder extends Object
Builder class for `EndpointOAuthProvider`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider`
  `build()`
  Constructs the `EndpointOAuthProvider` instance.
  `EndpointOAuthProvider.Builder`
  `facebook(EndpointOAuthFacebook facebook)`
  configuration for using facebook as the identity provider
  `EndpointOAuthProvider.Builder`
  `facebook(Optional<EndpointOAuthFacebook> facebook)`
  configuration for using facebook as the identity provider
  `EndpointOAuthProvider.Builder`
  `github(EndpointOAuthGitHub github)`
  configuration for using github as the identity provider
  `EndpointOAuthProvider.Builder`
  `github(Optional<EndpointOAuthGitHub> github)`
  configuration for using github as the identity provider
  `EndpointOAuthProvider.Builder`
  `google(EndpointOAuthGoogle google)`
  configuration for using google as the identity provider
  `EndpointOAuthProvider.Builder`
  `google(Optional<EndpointOAuthGoogle> google)`
  configuration for using google as the identity provider
  `EndpointOAuthProvider.Builder`
  `microsoft(EndpointOAuthMicrosoft microsoft)`
  configuration for using microsoft as the identity provider
  `EndpointOAuthProvider.Builder`
  `microsoft(Optional<EndpointOAuthMicrosoft> microsoft)`
  configuration for using microsoft as the identity provider

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### github

    public EndpointOAuthProvider.Builder github(EndpointOAuthGitHub github)
    configuration for using github as the identity provider
    Parameters:
      `github` - the value of the `github` parameter as a `EndpointOAuthGitHub`
    Returns:
      this builder instance

  - ### github

    public EndpointOAuthProvider.Builder github(Optional<EndpointOAuthGitHub> github)
    configuration for using github as the identity provider
    Parameters:
      `github` - the value of the `github` parameter as a `EndpointOAuthGitHub`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### facebook

    public EndpointOAuthProvider.Builder facebook(EndpointOAuthFacebook facebook)
    configuration for using facebook as the identity provider
    Parameters:
      `facebook` - the value of the `facebook` parameter as a `EndpointOAuthFacebook`
    Returns:
      this builder instance

  - ### facebook

    public EndpointOAuthProvider.Builder facebook(Optional<EndpointOAuthFacebook> facebook)
    configuration for using facebook as the identity provider
    Parameters:
      `facebook` - the value of the `facebook` parameter as a `EndpointOAuthFacebook`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### microsoft

    public EndpointOAuthProvider.Builder microsoft(EndpointOAuthMicrosoft microsoft)
    configuration for using microsoft as the identity provider
    Parameters:
      `microsoft` - the value of the `microsoft` parameter as a `EndpointOAuthMicrosoft`
    Returns:
      this builder instance

  - ### microsoft

    public EndpointOAuthProvider.Builder microsoft(Optional<EndpointOAuthMicrosoft> microsoft)
    configuration for using microsoft as the identity provider
    Parameters:
      `microsoft` - the value of the `microsoft` parameter as a `EndpointOAuthMicrosoft`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### google

    public EndpointOAuthProvider.Builder google(EndpointOAuthGoogle google)
    configuration for using google as the identity provider
    Parameters:
      `google` - the value of the `google` parameter as a `EndpointOAuthGoogle`
    Returns:
      this builder instance

  - ### google

    public EndpointOAuthProvider.Builder google(Optional<EndpointOAuthGoogle> google)
    configuration for using google as the identity provider
    Parameters:
      `google` - the value of the `google` parameter as a `EndpointOAuthGoogle`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointOAuthProvider build()
    Constructs the `EndpointOAuthProvider` instance.
    Returns:
      a new `EndpointOAuthProvider`